> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create merchant feedback for an end user

> Provide bulk feedback on Transaction Merchants for a specified end user



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/merchant_feedback
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/merchant_feedback:
    post:
      tags:
        - EnrichmentFeedback
      summary: Bulk create merchant feedback for an end user
      description: Provide bulk feedback on Transaction Merchants for a specified end user
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndUserBulkMerchantFeedback'
        description: >
          Merchant feedback for transactions. Provide either a merchant_heron_id
          (for known merchants) or merchant_name (for unknown merchants to be
          logged).
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  num_annotations:
                    description: The number of merchant annotations added
                    example: 1
                    type: integer
                  transaction_heron_ids:
                    description: List of affected transaction heron IDs
                    items:
                      type: string
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserBulkMerchantFeedback:
      properties:
        merchant:
          $ref: '#/components/schemas/MerchantFeedback1'
        transaction_heron_ids:
          description: List of transaction heron IDs
          items:
            example: txn_LpygzNzD4ioZywjWAiFuKs
            type: string
          type: array
      required:
        - merchant
        - transaction_heron_ids
      type: object
    MerchantFeedback1:
      properties:
        merchant_group_id:
          description: Group ID for the merchant (optional, for linking related merchants)
          enum:
            - Uber
            - Google
            - Intuit
            - invoice_factoring
            - debt.bank
            - debt.mca_or_rbf
            - debt.other
            - debt.non_bank_business
            - debt.equipment_and_auto_leasing
            - debt.mortgage
            - debt.personal_non_mortgage
            - debt.collections
            - fuel_provider
            - gambling_and_betting
          example: Uber
          type: string
        merchant_heron_id:
          description: Heron ID of the merchant (if known in our database)
          example: mrc_nGQzZLEd7ehNPtfuPrds2u
          type: string
        merchant_name:
          description: Name of the merchant (required if merchant_heron_id not provided)
          example: Acme Corporation
          maxLength: 140
          type: string
        merchant_url:
          description: URL of the merchant (optional)
          example: https://acme.com
          maxLength: 2000
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````